http-proxy-agent vulnerabilities

An HTTP(s) proxy `http.Agent` implementation for HTTP

Latest version 2.1.0
First published 6 years ago
Latest version published 2 years ago

Licenses detected

  • license: MIT >=0
Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the http-proxy-agent package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • H
Uninitialized Memory Exposure
<2.0.0 Not available 09 Apr, 2018
Versions
Version Published Licenses Direct Vulnerabilities
http-proxy-agent 2.1.0 Latest 03 Mar, 2018 MIT
  • 0 H
  • 0 M
  • 0 L
http-proxy-agent 2.0.0 27 Jun, 2017 MIT
  • 0 H
  • 0 M
  • 0 L
http-proxy-agent 1.0.0 11 Jul, 2015 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.2.7 06 Jul, 2015 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.2.6 11 Jun, 2014 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.2.5 09 Apr, 2014 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.2.4 13 Jan, 2014 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.2.3 18 Nov, 2013 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.2.2 16 Nov, 2013 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.2.1 28 Oct, 2013 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.2.0 17 Sep, 2013 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.1.0 03 Sep, 2013 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.0.2 11 Jul, 2013 MIT
  • 1 H
  • 0 M
  • 0 L
http-proxy-agent 0.0.1 09 Jul, 2013 MIT
  • 1 H
  • 0 M
  • 0 L